Search The ForumSearch   RegisterRegister  LoginLogin

AfterLogic WebMail Lite

 AfterLogic Forum : AfterLogic WebMail Lite
Subject Topic: Openpgp import key Post ReplyPost New Topic
Author
Message << Prev Topic | Next Topic >>
mlnorth
Newbie
Newbie


Joined: 25 October 2018
Location: Sweden
Online Status: Offline
Posts: 9
Posted: 29 October 2018 at 5:49am | IP Logged Quote mlnorth

This public key (or these public keys) in https://www.irf.se/pgp/matsl can't be imported. It works in other webmail clients.

Are there any restriction on how big the keys can be?

/Regards Mats
Back to Top View mlnorth's Profile Search for other posts by mlnorth
 
Igor
AfterLogic Support
AfterLogic Support


Joined: 24 June 2008
Location: United States
Online Status: Offline
Posts: 5471
Posted: 29 October 2018 at 6:17am | IP Logged Quote Igor

Hello,

Developers have checked this, and it looks like the problem is caused by Version tag missing in the key. If you edit the file like this:

Code:
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: 1

mQINBFrPIzEBEADiu3EGlABCeNjp5oKMbM1TkgFlruT8fzkdSOCDXLMFOP9PhNN8
...


- then the key is accepted just fine.

Really hard to say if it's a bug or rather an intended behavior, all the keys I've encountered so far have that tag. Internally, we're using OpenPGP.js library, and developers will investigate, maybe it's possible to adjust the code so that Version tag is no longer required.

--
Regards,
Igor, AfterLogic Support
Back to Top View Igor's Profile Search for other posts by Igor
 
mlnorth
Newbie
Newbie


Joined: 25 October 2018
Location: Sweden
Online Status: Offline
Posts: 9
Posted: 29 October 2018 at 7:06am | IP Logged Quote mlnorth

Ok, thanks for the answer and workaround. The public key was generated with gpg and I as I said it works with other mail clients.

/Regards Mats
Back to Top View mlnorth's Profile Search for other posts by mlnorth
 
mlnorth
Newbie
Newbie


Joined: 25 October 2018
Location: Sweden
Online Status: Offline
Posts: 9
Posted: 29 October 2018 at 7:18am | IP Logged Quote mlnorth

In gpg you can give the option --emit-version to get the Version tag (if the option is given more than one time you can get minor, micro and operating system id).

The deafult is to have no Version tag.

So it seems that the Version tag is optional and programs that are parsing keys should be able to handle missing Version tags.

/Regards Mats
Back to Top View mlnorth's Profile Search for other posts by mlnorth
 
Igor
AfterLogic Support
AfterLogic Support


Joined: 24 June 2008
Location: United States
Online Status: Offline
Posts: 5471
Posted: 30 October 2018 at 3:27am | IP Logged Quote Igor

Just heard from the developers, they confirmed the issue is caused by a bug in the code. They have corrected the bug, a fix will be available in the next build of the product.

--
Regards,
Igor, Afterlogic Support
Back to Top View Igor's Profile Search for other posts by Igor
 
mlnorth
Newbie
Newbie


Joined: 25 October 2018
Location: Sweden
Online Status: Offline
Posts: 9
Posted: 13 November 2018 at 12:25am | IP Logged Quote mlnorth

Hello again!

I tested to import a secret subkey because I don't want to import the secret master key into webmail. But when I tried to sign with that key I got "No private key" was found.

Could that be fixed?

/Regards Mats
Back to Top View mlnorth's Profile Search for other posts by mlnorth
 
Igor
AfterLogic Support
AfterLogic Support


Joined: 24 June 2008
Location: United States
Online Status: Offline
Posts: 5471
Posted: 13 November 2018 at 12:32am | IP Logged Quote Igor

OpenPGP.js library doesn't seem to support that yet:

Feature Request: Handle 'export-secret-subkeys' keyrings from GPG

Hopefully they implement that in the near future, then we'll be able to use that update.

--
Regards,
Igor, AfterLogic Support
Back to Top View Igor's Profile Search for other posts by Igor
 
mlnorth
Newbie
Newbie


Joined: 25 October 2018
Location: Sweden
Online Status: Offline
Posts: 9
Posted: 12 February 2020 at 12:43am | IP Logged Quote mlnorth

It seems now that this issue has been fixed according to: https://github.com/openpgpjs/openpgpjs/pull/865

Have you used this update now?
Back to Top View mlnorth's Profile Search for other posts by mlnorth
 
Igor
AfterLogic Support
AfterLogic Support


Joined: 24 June 2008
Location: United States
Online Status: Offline
Posts: 5471
Posted: 12 February 2020 at 1:03am | IP Logged Quote Igor

We still use an older version of OpenPGP.js, and aside from upgrading the library version, seems like this would require interface changes as well. If you believe this feature would be useful for others users of WebMail, please feel free to post a feature request at https://afterlogic.uservoice.com/. Thank you.

--
Regards,
Igor, Afterlogic Support
Back to Top View Igor's Profile Search for other posts by Igor
 

If you wish to post a reply to this topic you must first login
If you are not already registered you must first register

  Post ReplyPost New Topic
Printable version Printable version

Forum Jump

Powered by Web Wiz Forums version 7.9
Copyright ©2001-2004 Web Wiz Guide